\documentclass{article}
\usepackage[utf8]{inputenc}
\usepackage{graphicx}

\title{Sprint 4 - Final Report}
\author{Alain Mahieu, Hieu Le, Jeongkyeong Park, Liangkun He and Tomasz Karg}

\date{\today}

\begin{document}


\maketitle

\section{Sprint 4 planning}
  
   \begin{itemize}
         \item  Testing the web interface
         \item  Extending test cases of the back-end
       
       
   \end{itemize}
   


\section{Status}
Our product is now finished. We have covered it with a decent amount of tests to ensure the correctness of our product and ran some benchmarks. It is now ready to be deployed and handed over to the customer.


 
\section{Sprint review}
\subsection{Alain Mahieu}
In this sprint I have written tests to validate if our implementation of the footprint extraction works correctly. For this I have covered different process trees that focus on the different operator nodes in process trees. All of the tests I have written passed so I am pretty certain that at least in the majority of cases our implementation works correctly. The practical course was fun and I have learned a lot about software engineering and about how to create a product.  


\subsection{Hieu Le}
"In this sprint I have created test to find out how much time does it cost to successfully execute the features we used on the web interface. After this praktikum, by following 6 sprints, I have gained much experiences not only with the coding skills but also with the plan how to create a product in a concrete way"

\subsection{Jeongkyeong Park}
"\subsection{Jeongkyeong Park}
"Thanks to the team members, the sprint ended well. In this sprint, we completed the project by adding another tests for what we have done so far. Through this Praktikum, I was able to improve coding skills and implement a web interface. I hope that I could use this Praktikum as a springboard to further develop an interest in Python. Finally, I would like to express my gratitude to our active and passionate team members in completing the project and to Alessandro for allowing us to do the project.""

\subsection{Liangkun He}
"In this sprint I did unit tests on the web server. Our project is now completed. I learned a lot in this lab such as programming in python, software development paradigm, collaborating with others."

\subsection{Tomasz Karg}

\end{document}
